curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/email-finder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "reddit.com",
"full_name": "Alexis Ohanian"
}
'import requests
url = "https://api.aisa.one/apis/v1/hunter/email-finder"
payload = {
"domain": "reddit.com",
"full_name": "Alexis Ohanian"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'reddit.com', full_name: 'Alexis Ohanian'})
};
fetch('https://api.aisa.one/apis/v1/hunter/email-finder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hunter/email-finder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'reddit.com',
'full_name' => 'Alexis Ohanian'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hunter/email-finder"
payload := strings.NewReader("{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hunter/email-finder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hunter/email-finder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": "<string>",
"score": 123,
"domain": "<string>",
"company": "<string>",
"sources": [],
"twitter": "<string>",
"position": "<string>",
"last_name": "<string>",
"accept_all": true,
"first_name": "<string>",
"linkedin_url": "<string>",
"phone_number": "<string>",
"verification": {
"date": "<string>",
"status": "<string>"
}
},
"meta": {
"params": {
"domain": "<string>",
"company": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"first_name": "<string>",
"max_duration": 123
}
}
}Email Finder
curl --request POST \
--url https://api.aisa.one/apis/v1/hunter/email-finder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "reddit.com",
"full_name": "Alexis Ohanian"
}
'import requests
url = "https://api.aisa.one/apis/v1/hunter/email-finder"
payload = {
"domain": "reddit.com",
"full_name": "Alexis Ohanian"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'reddit.com', full_name: 'Alexis Ohanian'})
};
fetch('https://api.aisa.one/apis/v1/hunter/email-finder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hunter/email-finder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'reddit.com',
'full_name' => 'Alexis Ohanian'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hunter/email-finder"
payload := strings.NewReader("{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hunter/email-finder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hunter/email-finder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"reddit.com\",\n \"full_name\": \"Alexis Ohanian\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": "<string>",
"score": 123,
"domain": "<string>",
"company": "<string>",
"sources": [],
"twitter": "<string>",
"position": "<string>",
"last_name": "<string>",
"accept_all": true,
"first_name": "<string>",
"linkedin_url": "<string>",
"phone_number": "<string>",
"verification": {
"date": "<string>",
"status": "<string>"
}
},
"meta": {
"params": {
"domain": "<string>",
"company": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"first_name": "<string>",
"max_duration": 123
}
}
}Request contract
- Method and path: POST /apis/v1/hunter/email-finder
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/hunter/email-finder - Runtime facts: 9d6cd55f4883e0d802c7a28091c00738a9992688a6c242f0fae404a62c5146a1
{
"operationId": "hunter.email-finder",
"method": "POST",
"path": "/apis/v1/hunter/email-finder",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"domain": {
"type": "string",
"description": "Target domain to search for the email (e.g., 'reddit.com'). Takes precedence over company if both are provided.",
"examples": [
"reddit.com",
"stripe.com"
]
},
"company": {
"type": "string",
"examples": [
"Reddit",
"Stripe"
],
"description": "Company name to search for the email (e.g., 'Reddit'). Used if domain is not provided."
},
"full_name": {
"type": "string",
"description": "Person's full name. Required if first_name and last_name are not both provided.",
"examples": [
"Alexis Ohanian"
]
},
"last_name": {
"type": "string",
"examples": [
"Ohanian"
],
"description": "Person's last name. Required if first_name is set. Either both first_name+last_name or full_name must be provided."
},
"first_name": {
"type": "string",
"examples": [
"Alexis"
],
"description": "Person's first name. Required if last_name is set. Either both first_name+last_name or full_name must be provided."
},
"max_duration": {
"type": "integer",
"default": 10,
"maximum": 20,
"minimum": 3,
"examples": [
5,
15
],
"description": "Max duration of the request in seconds (range 3\u001320). Longer durations yield more accurate results."
}
},
"required": [
"domain",
"full_name"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0243,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0243 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0243
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Target domain to search for the email (e.g., 'reddit.com'). Takes precedence over company if both are provided.
"reddit.com"
"stripe.com"
Person's full name. Required if first_name and last_name are not both provided.
"Alexis Ohanian"
Company name to search for the email (e.g., 'Reddit'). Used if domain is not provided.
"Reddit"
"Stripe"
Person's last name. Required if first_name is set. Either both first_name+last_name or full_name must be provided.
"Ohanian"
Person's first name. Required if last_name is set. Either both first_name+last_name or full_name must be provided.
"Alexis"
Max duration of the request in seconds (range 320). Longer durations yield more accurate results.
3 <= x <= 205
15